Skip to content

deployment_variable_set_product

Create or update a product-scope global variable

Tool

deployment_variable_set_product

Create or update a product-scope global variable

Create or update a product-scope global variable

Behavior

HTTP
PUT /deployment/product/variables/:key

Arguments

Name
Type
Required
Description
key
string
•
No description in the catalog.
value
string
•
No description in the catalog.
isSecret
boolean
—
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
key
string
•
scope
string
•
value
string
•
isSecret
boolean
•
createdAt
string
•
serviceId
string
•
updatedAt
string
•
environmentId
string
•

Try it

Create or update a product-scope global variable.

When to use

Create or update a product-scope global variable

Example

Ask your agent something like this:

Create or update a product-scope global variable.

The agent will invoke deployment_variable_set_product with these arguments:

{
  "key": "<key>",
  "value": "<value>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select